Signature
GET https://0o0.online/api/signatures/
curl --request GET \
--url 'https://0o0.online/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Les détails | Description |
|---|---|---|
| search | Optionnel String | La ligne de recherche. |
| search_by | Optionnel String | Quels champs recherchez-vous ? les valeurs autorisées sont : name. |
| datetime_field | Optionnel String | Les valeurs autorisées : datetime, last_datetime |
| datetime_start | Optionnel String | Filtrer les résultats à partir de cette date. Y-m-d H:i:s Le format. |
| datetime_end | Optionnel String | Filter les résultats jusqu'à cette date. Y-m-d H:i:s Le format. |
| order_by | Optionnel String | Quel champ pour commander les résultats par. Les valeurs autorisées sont: signature_id, datetime, last_datetime, name. |
| order_type | Optionnel String | La commande des résultats. Les valeurs autorisées sont: ASC pour la montée de l'ordre, et DESC pour la descente de commande. |
| page | Optionnel intégré | Le numéro de page que vous voulez des résultats. défauts à 1. |
| results_per_page | Optionnel intégré | Combien de résultats vous voulez par page. Les valeurs autorisées sont: 10, 25, 50, 100, 250, 500, 1000. Défauts à 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "John Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "John Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "johndoe",
"threads": "johndoe",
"x": "johndoe",
"instagram": "johndoe",
"youtube": "johndoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:21:34"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/signatures?page=1",
"last": "https://0o0.online/api/signatures?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/signatures?page=1"
}
}
GET https://0o0.online/api/signatures/{signature_id}
curl --request GET \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "janedoe",
"threads": "janedoe",
"x": "janedoe",
"instagram": "janedoe",
"youtube": "janedoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:21:34"
}
}
POST https://0o0.online/api/signatures
| Paramètres | Les détails | Description |
|---|---|---|
| name | Obligatoire String | Nom |
| project_id | Optionnel intégré | Un projet vous aidera à categoriser vos ressources. |
| template | Optionnel String | Les valeurs autorisées : plain_text, mars, mercury, venus, nova |
| direction | Optionnel String | Les valeurs autorisées : ltr, rtl |
| is_removed_branding | Optionnel Boolean | Supprimer le branding |
| image_url | Optionnel String | Utiliser uniquement JPG, JPEG, GIF, PNG Les images . |
| sign_off | Optionnel String | Signature off |
| full_name | Optionnel String | Nom complet |
| job_title | Optionnel String | Titre du travail |
| department | Optionnel String | Département |
| company | Optionnel String | Société |
| Optionnel String | ||
| website_name | Optionnel String | Nom du site |
| website_url | Optionnel String | Site Web URL |
| address | Optionnel String | Adresse |
| address_url | Optionnel String | Lien à A Google Carte de localisation par exemple. |
| phone_number | Optionnel String | Numéro de téléphone |
| Optionnel String | ||
| facebook_messenger | Optionnel String | Facebook Nom utilisateur messager |
| telegram | Optionnel String | Telegram Nom utilisateur |
| disclaimer | Optionnel String | Disclaimer texte |
| font_family | Optionnel String | Les valeurs autorisées : arial, verdana, helvetica, times_new_roman, georgia |
| font_size | Optionnel intégré | Les valeurs autorisées : 12-18 |
| width | Optionnel intégré | Les valeurs autorisées : 300-600 |
| image_width | Optionnel intégré | Les valeurs autorisées : 45-150 |
| image_border_radius | Optionnel intégré | Les valeurs autorisées : 0-100 |
| socials_width | Optionnel intégré | Les valeurs autorisées : 15-30 |
| socials_padding | Optionnel intégré | Les valeurs autorisées : 5-15 |
| separator_size | Optionnel intégré | Les valeurs autorisées : 0-5 |
| border_radius | Optionnel intégré | Les valeurs autorisées : 0-30 |
| background_color | Optionnel String | Couleur de fond |
| border_color | Optionnel String | La couleur de la frontière |
| theme_color | Optionnel String | Thème couleur |
| full_name_color | Optionnel String | Nom complet couleur |
| text_color | Optionnel String | Texte couleur |
| link_color | Optionnel String | Le lien couleur |
| Optionnel String | Facebook Nom utilisateur | |
| threads | Optionnel String | Menace de nom d'utilisateur |
| x | Optionnel String | X Nom d'utilisateur |
| Optionnel String | Instagram Nom utilisateur | |
| youtube | Optionnel String | YouTube Le canal |
| tiktok | Optionnel String | TikTok Nom utilisateur |
| spotify | Optionnel String | Spotify Nom utilisateur |
| Optionnel String | Pinterest Nom utilisateur | |
| Optionnel String | LinkedIn Nom utilisateur | |
| snapchat | Optionnel String | Snapchat Nom utilisateur |
| twitch | Optionnel String | Twitch Nom utilisateur |
| discord | Optionnel String | Discord ID utilisateur |
| github | Optionnel String | Nom d'utilisateur GitHub |
| Optionnel String | Reddit Nom utilisateur |
curl --request POST \
--url 'https://0o0.online/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
--url 'https://0o0.online/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 10,
"background_color": "#f8fafc",
"border_color": "#cbd5e1",
"theme_color": "#2563eb",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:21:34"
}
}
POST https://0o0.online/api/signatures/{signature_id}
| Paramètres | Les détails | Description |
|---|---|---|
| name | Optionnel String | Nom |
| project_id | Optionnel intégré | Un projet vous aidera à categoriser vos ressources. |
| template | Optionnel String | Les valeurs autorisées : plain_text, mars, mercury, venus, nova |
| direction | Optionnel String | Les valeurs autorisées : ltr, rtl |
| is_removed_branding | Optionnel Boolean | Supprimer le branding |
| image_url | Optionnel String | Utiliser uniquement JPG, JPEG, GIF, PNG Les images . |
| sign_off | Optionnel String | Signature off |
| full_name | Optionnel String | Nom complet |
| job_title | Optionnel String | Titre du travail |
| department | Optionnel String | Département |
| company | Optionnel String | Société |
| Optionnel String | ||
| website_name | Optionnel String | Nom du site |
| website_url | Optionnel String | Site Web URL |
| address | Optionnel String | Adresse |
| address_url | Optionnel String | Lien à A Google Carte de localisation par exemple. |
| phone_number | Optionnel String | Numéro de téléphone |
| Optionnel String | ||
| facebook_messenger | Optionnel String | Facebook Nom utilisateur messager |
| telegram | Optionnel String | Telegram Nom utilisateur |
| disclaimer | Optionnel String | Disclaimer texte |
| font_family | Optionnel String | Les valeurs autorisées : arial, verdana, helvetica, times_new_roman, georgia |
| font_size | Optionnel intégré | Les valeurs autorisées : 12-18 |
| width | Optionnel intégré | Les valeurs autorisées : 300-600 |
| image_width | Optionnel intégré | Les valeurs autorisées : 45-150 |
| image_border_radius | Optionnel intégré | Les valeurs autorisées : 0-100 |
| socials_width | Optionnel intégré | Les valeurs autorisées : 15-30 |
| socials_padding | Optionnel intégré | Les valeurs autorisées : 5-15 |
| separator_size | Optionnel intégré | Les valeurs autorisées : 0-5 |
| border_radius | Optionnel intégré | Les valeurs autorisées : 0-30 |
| background_color | Optionnel String | Couleur de fond |
| border_color | Optionnel String | La couleur de la frontière |
| theme_color | Optionnel String | Thème couleur |
| full_name_color | Optionnel String | Nom complet couleur |
| text_color | Optionnel String | Texte couleur |
| link_color | Optionnel String | Le lien couleur |
| Optionnel String | Facebook Nom utilisateur | |
| threads | Optionnel String | Menace de nom d'utilisateur |
| x | Optionnel String | X Nom d'utilisateur |
| Optionnel String | Instagram Nom utilisateur | |
| youtube | Optionnel String | YouTube Le canal |
| tiktok | Optionnel String | TikTok Nom utilisateur |
| spotify | Optionnel String | Spotify Nom utilisateur |
| Optionnel String | Pinterest Nom utilisateur | |
| Optionnel String | LinkedIn Nom utilisateur | |
| snapchat | Optionnel String | Snapchat Nom utilisateur |
| twitch | Optionnel String | Twitch Nom utilisateur |
| discord | Optionnel String | Discord ID utilisateur |
| github | Optionnel String | Nom d'utilisateur GitHub |
| Optionnel String | Reddit Nom utilisateur |
curl --request POST \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe Signature",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 16,
"background_color": "#fff7ed",
"border_color": "#fed7aa",
"theme_color": "#c2410c",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": "2026-10-16 03:21:34",
"datetime": "2026-10-16 03:21:34"
}
}
DELETE https://0o0.online/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \